/***** GLOBAL *****/
@font-face {
    font-family: "Cheltenham";
    src: url("/assets/font/cheltenham.ttf");
}
@font-face {
    font-family: "OldEnglish";
    src: url("/assets/font/OldEnglish.ttf");
}
* {
    box-sizing: border-box;
    outline: none;
}
html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}
body {
    font-family: 'Cheltenham';
    font-size: 1.5rem;
    line-height: 1.4;
    letter-spacing: 0.2px;
    background: #ffffff url("/assets/images/bg.png");
    display: flex;
    flex-direction: column;
    overflow-y: scroll;
}
header, #person section, aside, footer, button, #predictor {
    background-color: rgb(0, 24, 48);
    color: white;
}
.bg-wsmoke {
    background-color: WhiteSmoke;
}
p {
    margin-bottom: 0
}
p + p {
    text-indent: 1.5em;
    margin-top: 0
}
article p::first-letter,
#home-articles > div p::first-letter,
#target p::first-letter,
#about p::first-letter {
    float: left;
    font-family: 'OldEnglish';
    font-size: 75px;
    line-height: 60px;
    padding-top: 4px;
    padding-right: 8px;
    padding-left: 3px;
}
h2 > a {
    font-weight: bolder;
    font-size: 2.3rem;
}
li {
    cursor: pointer;
}

.btn, a {
    font-size: 1.7rem;
}

/*li a:hover {*/
/*    background-color: #444;*/
/*	transition: background-color 2s ease;*/
/*}*/

.form-control, textarea, select {
    font-size: 18px;
}
.page_loader {
    background-color: rgb(0, 24, 48);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}
.custom-select, .custom-input {
    border: 1px solid #fff;
    border-radius: 5px;
    padding: 0 20px 0;
    font-size: 20px;
    box-shadow: 0 1px 5px rgba(0,0,0,0.1);
    background: rgb(0, 24, 48);
    color: #fff;
}


/***** HEADER *****/
header h1 a {
    font-size: 5rem;
    text-decoration: none;
    color: white;
}
header h1 a:hover {
    color:white;
}
header li {
    font-size: 2rem;
    font-weight: lighter;
}
#navbarDropdown .fas {
    font-size: 0.5rem;
}
.dropdown-menu {
    background-color: rgb(0, 24, 48);
    margin-top: 0;
}
.dropdown:hover .dropdown-menu{
    display: block;
}
.sticky {
    position: fixed;
    top: 0;
    width: 100%;
    background-color: rgb(0, 24, 48);
}
header input::placeholder {
    font-size: 1.5rem;
    color: rgb(0, 24, 48);
}
nav form {
    width: 288px;
}

/***** HOME *****/
#home-articles article img {
    height: 250px;
}
#home-articles form {
    width: 90%;
}
#myCanvas {
    background: rgb(0, 24, 48);
}
aside a {
    color: white;
}

/***** DETAIL ARTICLE *****/
#article-detail {
    height: 250px;
    width: 90%;
}
#article-detail ~ form {
    width: 90%;
}

/***** MAPS *****/
#map, #mapid {
    height: 700px;
}
#markers {
    color: white;
    background-color: rgb(0, 24, 48);
    /*padding: 20px;*/
}
#markers > ul > li:last-child > img {
    width: 44px;
}
.custom-select {
    font-family: 'Cheltenham';
    font-size: 2rem;
}
.leaflet-popup-content {
    color: #003153;
}
.leaflet-popup-content h1 {
    font-size: 17px;
    font-weight: bolder;
    text-decoration: underline;
}
.leaflet-popup-content p {
    font-size: 15px;
}

 /***** PERSONALITIES *****/
#person > div {
    background-color: rgb(0, 24, 48);
}
.select-name {
    width: 200px;
}
#choiceSelect, #choiceInput {
    height: 30px;
}
#choiceInput::placeholder {
    font-family: 'Cheltenham';
    color: white;
}
#person section {
    color: white;
}

/***** PREDICTOR *****/
#str-zone {
    display: none;
}
.hidden {
    display: none;
}

/***** PEDIGREE *****/
.pedigree-box {
    background-color: rgb(0, 24, 48);
}
#pedigree th,
#pedigree td {
    color: white;
    font-size: 2rem;
}
/*::selection{*/
/*    color: #fff;*/
/*    background: #664AFF;*/
/*}*/
.search-input {
    color:rgb(0, 24, 48);
    background: #fff;
    width: 100%;
    border-radius: 5px;
    position: relative;
    box-shadow: 0 1px 5px 3px rgba(0,0,0,0.12);
}
#snp-search {
    height: 50px;
    width: 100%;
}
#snp-search::placeholder {
    color: #fff;
}
.search-input.active input {
    border-radius: 5px 5px 0 0;
}
#snp-search {
    -webkit-appearance: searchfield;
}
#snp-search::-webkit-search-cancel-button {
    -webkit-appearance: searchfield-cancel-button;
}
#snp-search::-webkit-search-cancel-button {
    font-size: 50px;
    background: #fff;
}
.search-input .autocom-box {
    padding: 0;
    opacity: 0;
    pointer-events: none;
    max-height: 280px;
    overflow-y: auto;
    position: absolute;
    background-color: rgb(0, 24, 48);
    color: white;
    width: 100%;
    border: 1px solid white;
    border-radius: 0 0 5px 5px;
}
.search-input.active .autocom-box {
    padding: 10px 8px;
    opacity: 1;
    pointer-events: auto;
}
.autocom-box li{
    list-style: none;
    padding: 8px 12px;
    display: none;
    width: 100%;
    cursor: default;
    border-radius: 3px;
}
.search-input.active .autocom-box li {
    display: block;
}
.autocom-box li:hover {
    color: orangered;
}

/***** CONTACT PAGE *****/
#contact {
    background-color: rgb(0, 24, 48);
    color: white;
}
#contact {
    width: 300px;
}
#contact h2 span {
    background-color: rgb(0, 24, 48);
}
#contact ul {
    list-style-type: none;
    margin-left: 0;
}
#contact ul p {
    color: red;
    font-size: 0.8rem;
    margin: 0;
    /* height: 35px; */
}

/***** ADMIN *****/
.img-thumbnail {
    width:100px;
    height: 100px;
}
#login form {
    width: 288px;
}

/***** 404 *****/
#notfound div span {
    font-size: 150px;
}
#notfound div img {
    width: 120px;
}

/***** SLIDER *****/
#slide {
    background-color: white;
    width: 100%;
    height: 150px;
}
#slide > img {
    width: 100%;
    height: 100%;
}

/***** SCROLL *****/
#scrollUp {
    position: fixed;
    bottom : 10px;
    right: -100px;
    opacity: 0.3;
}
#scrollUp:hover {
    opacity: 0.8;
    transition: all 0.35s cubic-bezier(0.55, 0.06, 0.68, 0.19) 0s;
}
#scrollUp img {
    color: orange;
    font-size: 5rem;
}

/***** FOOTER *****/
footer li {
    font-size: 2rem;
}

/***** RESPONSIVE *****/
@media screen and (max-width: 320px) {
    #contact {
        width: 100%;
    }
}

@media screen and (max-width: 768px) {
    #article-detail img,
    #article-search img {
        width: 100%;
    }
}

@media screen and (max-width: 1024px) {
    #article-detail img,
    #article-search img {
        width: 100%;
    }
}